VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ResizableMemoryIBStream Class Reference

`#include <memoryibstream.h>`

Inheritance diagram for ResizableMemoryIBStream:

## Public Member Functions
| ResizableMemoryIBStream (size_t reserve=0)
tresult | read (void *buffer, int32 numBytes, int32 *numBytesRead) override
tresult | write (void *buffer, int32 numBytes, int32 *numBytesWritten) override
tresult | seek (int64 pos, int32 mode, int64 *result) override
tresult | tell (int64 *pos) override
size_t | getCursor () const
const void * | getData () const
void | rewind ()
std::vector< uint8 > && | take ()

## Constructor & Destructor Documentation

## ◆ ResizableMemoryIBStream()

ResizableMemoryIBStream | ( | size_t | reserve = 0 | ) |
| inline

## Member Function Documentation

## ◆ read()

tresult read | ( | void * | buffer,
|  | int32 | numBytes,
|  | int32 * | numBytesRead )
| inline override

## ◆ write()

tresult write | ( | void * | buffer,
|  | int32 | numBytes,
|  | int32 * | numBytesWritten )
| inline override

## ◆ seek()

tresult seek | ( | int64 | pos,
|  | int32 | mode,
|  | int64 * | result )
| inline override

## ◆ tell()

tresult tell | ( | int64 * | pos | ) |
| inline override

## ◆ getCursor()

size_t getCursor | ( |  | ) | const
| inline

## ◆ getData()

const void * getData | ( |  | ) | const
| inline

## ◆ rewind()

void rewind | ( |  | ) |
| inline

## ◆ take()

std::vector< uint8 > && take | ( |  | ) |
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.